## com.bbn.openmap.proj.coords
Class CoordinateReferenceSystem

    java.lang.Object
      com.bbn.openmap.proj.coords.CoordinateReferenceSystem

public class CoordinateReferenceSystem
extends java.lang.Object

Field Summary
`protected static java.util.Map` `crss`

Constructor Summary
`CoordinateReferenceSystem(GeoCoordTransformation coordConverter, java.lang.Class projLoaderClass, Ellipsoid ellipsoid)`
`CoordinateReferenceSystem(GeoCoordTransformation coordConverter, java.lang.Class projLoaderClass, Ellipsoid ellipsoid, java.util.Properties projectionParameters)`

Method Summary
`Proj` `createProjection(java.util.Properties overrideProjectionParameters)`
`static java.util.Collection` `getCodes()`
`static CoordinateReferenceSystem` `getForCode(java.lang.String code)`
`LatLonPoint` `inverse(double x, double y)` Convert the given (projected) coordinate in the CRS to a LatLonPoint.
`void` `prepareProjection(Proj proj)`
`protected ProjectionLoader` `projectionLoader()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### crss

    protected static final java.util.Map crss

Constructor Detail

### CoordinateReferenceSystem

    public CoordinateReferenceSystem(GeoCoordTransformation coordConverter,
                                     java.lang.Class projLoaderClass,
                                     Ellipsoid ellipsoid)

### CoordinateReferenceSystem

    public CoordinateReferenceSystem(GeoCoordTransformation coordConverter,
                                     java.lang.Class projLoaderClass,
                                     Ellipsoid ellipsoid,
                                     java.util.Properties projectionParameters)

Method Detail

### getForCode

    public static CoordinateReferenceSystem getForCode(java.lang.String code)

### getCodes

    public static java.util.Collection getCodes()

### projectionLoader

    protected ProjectionLoader projectionLoader()

### createProjection

    public Proj createProjection(java.util.Properties overrideProjectionParameters)

### prepareProjection

    public void prepareProjection(Proj proj)

### inverse

    public LatLonPoint inverse(double x,
                               double y)

  Convert the given (projected) coordinate in the CRS to a LatLonPoint. TODO: should we return null or throw if not possible?

  Parameters:
    `x` -
    `y` -
  Returns:

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details